Bug 56922 - mkbotdisk doesn't find root partition
mkbotdisk doesn't find root partition
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-30 08:59 EST by Marian-Nicolae ION
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 19:35:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marian-Nicolae ION 2001-11-30 08:59:30 EST
Trying to create a bootdisk displayed the following message:

Cannot find root partition in /etc/fstab

I think the problem comes from the fact that at the line 119 in the
/sbin/mkbootdisk script the previously found value for rootdev is
changed to the empty string.

Simply moving the lines 132-135 *before* line 110 has solved the
problem.
Comment 1 sean 2002-02-20 09:35:02 EST
I have not looked at the mkbootdisk code, but changing my /etc/fstab from using
LABEL to the actual device name seems to have made mkbootdisk happy.  I presume
not supporting LABEL is a bug.
Comment 2 Matt Wilson 2002-12-14 19:35:55 EST
It works with LABEL= here.

Note You need to log in before you can comment on or make changes to this bug.